Index: trunk/mapbender/http/nav/alkisnav_fkt.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 282)
+++ trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 283)
@@ -2,4 +2,5 @@
 /* Version vom 
 	2013-05-07  Strukturierung des Programms, redundanten Code in Functions zusammen fassen
+	2013-05-08  Hervorhebung aktuelles Objekt, in Arbeit ...
 */
 
@@ -9,5 +10,5 @@
 // Hierin die Encodierung fÃŒr url und HTML.
 
-function zeile_ag ($ag, $anr) {	// Zeile  A m t s g e r i c h t
+function zeile_ag ($ag, $anr, $aktuell) {	// Zeile  A m t s g e r i c h t
 	global $gkz, $gemeinde, $epsg, $auskpath;
 	if ($ag == "") {
@@ -16,5 +17,6 @@
 		$agd=htmlentities($ag, ENT_QUOTES, "UTF-8");
 	}
-	echo "\n<div class='ga' title='Amtsgericht'>";
+	if ($aktuell) {$cls=" aktuell";}
+	echo "\n<div class='ga".$cls."' title='Amtsgericht'>";
 		echo "\n\t\t<img class='nwlink' src='ico/Gericht.ico' width='16' height='16' alt='Amtsgericht'> ";
 		echo "AG <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;ag=".$anr."'>";		
@@ -24,16 +26,18 @@
 }
 
-function zeile_gbbez ($gnam, $zgbbez) {	// Zeile Grundbuch - B e z i r k
+function zeile_gbbez ($gnam, $zgbbez, $aktuell) {	// Zeile Grundbuch - B e z i r k
 	global $gkz, $gemeinde, $epsg, $auskpath;
 	$gnamd=htmlentities($gnam, ENT_QUOTES, "UTF-8");
-	echo "\n<div class='gk' title='GB-Bezirk'>";
+	if ($aktuell) {$cls=" aktuell";}	
+	echo "\n<div class='gk".$cls."' title='GB-Bezirk'>";
 		echo "\n\t\t<img class='nwlink' src='ico/GB-Bezirk.ico' width='16' height='16' alt='Bez.'> ";
 		echo "<a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gbkennz=".$zgbbez."'>";		
 		echo "Bezirk ".$gnamd."</a> (".suchfeld($zgbbez).")";			
 	echo "\n</div>";
-	return;
-}
-
-function zeile_blatt ($bezirk, $beznam, $blattgml, $blatt, $dienend, $person) {
+
+	return;
+}
+
+function zeile_blatt ($bezirk, $beznam, $blattgml, $blatt, $dienend, $person, $aktuell) {
 	global $gkz, $gemeinde, $epsg, $auskpath;
 	// Zeile Grundbuch - B l a t t
@@ -42,5 +46,6 @@
 	$blattlnk=urlencode($blatt); // trailing Blank
 	if ($beznam != "") {$nam = $beznam." ";}
-	echo "\n<div class='gb' title='".$dientxt."GB-Blatt'>";
+	if ($aktuell) {$cls=" aktuell";}	
+	echo "\n<div class='gb".$cls."' title='".$dientxt."GB-Blatt'>";
 	if ($blattgml == "") { // Link zum Nachweis nur wenn GML bekannt
 		echo "\n\t<img class='nwlink' src='ico/GBBlatt_link.ico' width='16' height='16' alt='Blatt'>";
@@ -60,5 +65,5 @@
 }
 
-function zeile_buchung ($buchunggml, $bvnr, $gbkennz, $dienend) {
+function zeile_buchung($buchunggml, $bvnr, $blattkennz, $dienend, $aktuell) {
 	// Zeile  B u c h u n g s s t e l l e  -  GrundstÃŒck ausgeben
 	global $gkz, $gemeinde, $epsg, $auskpath;
@@ -75,24 +80,23 @@
 		$re="";
 	}
-	echo "\n<div class='gs' title='".$ti."Grundst&uuml;ck'>";
-	echo "\n\t<img class='nwlink' src='ico/Grundstueck.ico' width='16' height='16' alt='GS'> ";
-	echo $re."Buchung";
-
-	if ($gbkennz == "") { // ohne Link
-		echo "&nbsp;".$bvnra."&nbsp;";
-	} else { // Bezirk-Blatt-lfd
-		echo "\n\t<a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;buchunggml=".$buchunggml;			
-		echo "&amp;gbkennz=".$gbkennz;
-		echo "'>&nbsp;".$bvnra."&nbsp;</a>";
-	}
-	echo "\n</div>";	
-	return 0;
-}
-
-function zeile_flurstueck ($fs_gml, $fskenn, $x, $y, $gmkg, $flur) {
+	if ($aktuell) {$cls=" aktuell";}	
+	echo "\n<div class='gs".$cls."' title='".$ti."Grundst&uuml;ck'>";
+	echo "\n\t<img class='nwlink' src='ico/Grundstueck.ico' width='16' height='16' alt='GS'> ".$re;
+	if ($blattkennz == "") { // ohne Link
+		echo "Buchung ".$bvnra;
+	} else {
+		$gbkennlnk=urlencode($blattkennz."-".$bvnr); // Trailing Blanks!
+		echo "<a href='".$_SERVER['SCRIPT_NAME']. "?gkz=". $gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;buchunggml=".$buchunggml;
+		echo "&amp;gbkennz=".$gbkennlnk."'>Buchung ".$bvnra."</a>";
+	}
+	echo "\n</div>";
+	return;
+}
+
+function zeile_flurstueck ($fs_gml, $fskenn, $x, $y, $gmkg, $flur, $aktuell) {
 	// Zeile mit Icon (Link zum Buch-Nachweis) und Text (Link zum Positionieren)
 	global $gkz, $gemeinde, $epsg, $auskpath, $scalefs;
-
-	echo "\n<div class='fs'>";
+	if ($aktuell) {$cls=" aktuell";}
+	echo "\n<div class='fs".$cls."'>";
 	echo "\n\t<a title='Nachweis' href='javascript:imFenster(\"".$auskpath."alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$fs_gml."\")'>";
 		echo "\n\t\t<img class='nwlink' src='ico/Flurstueck_Link.ico' width='16' height='16' alt='FS'>";
@@ -123,16 +127,20 @@
 	$namlnk=urlencode($nachname);
 	$vnam=htmlentities($vorname, ENT_QUOTES, "UTF-8");
-	// Link zur Auskunft Person  +++ Icon differenzieren? Firma/Person
-	echo "\n<br>\n\t<a title='Nachweis' href='javascript:imFenster(\"".$auskpath."alkisnamstruk.php?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;gmlid=".$gml."\")'>";
-		echo "\n\t\t<img class='nwlink' src='ico/Eigentuemer.ico' width='16' height='16' alt='EIG'>";
-	echo "\n\t</a> ";		
-	echo "\n<a title='Person' href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;person=".$persongml."&amp;name=".$namlnk."'>".$nnam.", ".$vnam."</a>";
-	return;
-}
-
-function GB_Buchung_FS ($linelimit) {
+	// Link zur Auskunft Person ++ Icon differenzieren? Firma/Person
+
+// 2013-05-08 DIV statt br
+echo "<div class='pe'>
+	<a title='Nachweis' href='javascript:imFenster(\"".$auskpath."alkisnamstruk.php?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;gmlid=".$gml."\")'>
+		<img class='nwlink' src='ico/Eigentuemer.ico' width='16' height='16' alt='EIG'>
+	</a> 		
+	<a title='Person' href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;person=".$persongml."&amp;name=".$namlnk."'>".$nnam.", ".$vnam."</a>
+</div>";
+return;
+}
+
+function GB_Buchung_FS ($linelimit, $blattgbkenn) {
 // Zu einem Grundbuch-Blatt (identifiziert ÃŒber seine gml_id) suchen der 
 // Buchungen (Gruppenwechsel) und FlurstÃŒcke (Links)
-	global $gkz, $gemeinde, $blattgml, $epsg, $gfilter, $debug;
+	global $gemeinde, $blattgml, $epsg, $gfilter, $debug;
 
 	// SQL-Bausteine vorbereiten
@@ -157,7 +165,4 @@
 	$sqlz2.="JOIN alkis_beziehungen vfb ON s2.gml_id = vfb.beziehung_zu ";
 
-	// ++	JOIN alkis_beziehungen - ax_buchungsblatt 
-	//		fÃŒr Link auf Buchung mit komplettem Grundbuchennzeichen
-
 	// SQL hinten gleich
 	$sql2 ="JOIN ax_flurstueck f ON vfb.beziehung_von = f.gml_id ";
@@ -191,5 +196,5 @@
 		if ($gwbv != $bvnr) { // Gruppierung Buchungs-Stelle (BVNR)
 			$gwbv = $bvnr;
-			zeile_buchung ($bsgml, $bvnr, "", false); // FÃŒr GB-Kennz. (-> Link) fehlt Bezirk + Blatt
+			zeile_buchung($bsgml, $bvnr, $blattgbkenn, false, false);
 		}
 		$fs_gml=$row["gml_id"];
@@ -200,5 +205,5 @@
 		$x=$row["x"];
 		$y=$row["y"];
-		zeile_flurstueck ($fs_gml, $fskenn, $x, $y, $gmkg, $flur);
+		zeile_flurstueck ($fs_gml, $fskenn, $x, $y, $gmkg, $flur, false);
 		$zfs1++;
 	}
@@ -222,5 +227,4 @@
 	}
 	$zfs2=0;
-	#$gwblatt="";
 	$gwbv="";
 	while($row = pg_fetch_array($res)) {	
@@ -229,5 +233,5 @@
 		if ($gwbv != $bvnr) { // Gruppierung Buchung (BVNR) - dienend
 			$gwbv = $bvnr;
-			zeile_buchung ($bsgml, $bvnr, "", true);
+			zeile_buchung($bsgml, $bvnr, $blattgbkenn, true, false);
 		}
 		$fs_gml=$row["gml_id"];
@@ -236,9 +240,8 @@
 		$fskenn=$row["zaehler"];
 		if ($row["nenner"] != "") {$fskenn.="/".$row["nenner"];} // Bruchnummer
-		$x=$row["x"];
-		$y=$row["y"];
-		zeile_flurstueck ($fs_gml, $fskenn, $x, $y, $gmkg, $flur);
+		zeile_flurstueck ($fs_gml, $fskenn, $row["x"], $row["y"], $gmkg, $flur, false);
 		$zfs2++;
 	}
+	// Foot
 	if($zfs1 + $zfs2 == 0) { 
 		echo "\n<p class='anz'>Kein Flurst&uuml;ck im berechtigten Bereich.</p>";
